View Issue Details

IDProjectCategoryView StatusLast Update
0002056FreeCADFeaturepublic2018-03-14 12:22
ReporterwmayerAssigned Towmayer 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionreopened 
Product Version 
Target VersionFixed in Version0.16 
Summary0002056: Support silent (de)installation using NSIS
DescriptionForum thread http://forum.freecadweb.org/viewtopic.php?f=4&t=10532
Tagspackaging, Win

Relationships

related to 0002258 closedwmayer Silent uninstall blocks on MessageBox 

Activities

wmayer

2015-04-14 12:30

administrator   ~0006023

NSIS doc: http://anders_k.users.sourceforge.net/public/NSIS/2.46/Manual.html#silent

wmayer

2017-09-07 17:29

administrator   ~0010085

Apparently this issue is back: https://forum.freecadweb.org/viewtopic.php?f=4&t=23911

Kunda1

2018-01-19 16:41

manager   ~0010796

Tracking another NSIS forum thread https://forum.freecadweb.org/viewtopic.php?f=4&t=15244&p=210387#p210387

Kunda1

2018-01-19 16:52

manager   ~0010797

@sgrogan1 what's the priority on this you think?

wmayer

2018-03-14 12:22

administrator   ~0011038

No change required. When using "Uninstall.exe /S" it just removes the files without asking.

Maybe older installers have been created with an outdated script and thus issue reappeared.

Issue History

Date Modified Username Field Change
2015-04-14 11:38 wmayer New Issue
2015-04-14 12:30 wmayer Note Added: 0006023
2015-09-11 17:09 wmayer Relationship added related to 0002258
2015-09-11 17:44 wmayer Changeset attached => FreeCAD Master master 185735ca
2015-09-11 17:44 wmayer Assigned To => wmayer
2015-09-11 17:44 wmayer Status new => closed
2015-09-11 17:44 wmayer Resolution open => fixed
2015-12-15 13:17 yorik Fixed in Version => 0.16
2017-09-07 17:29 wmayer Status closed => new
2017-09-07 17:29 wmayer Resolution fixed => reopened
2017-09-07 17:29 wmayer Note Added: 0010085
2018-01-19 16:41 Kunda1 Note Added: 0010796
2018-01-19 16:42 Kunda1 Tag Attached: packaging
2018-01-19 16:42 Kunda1 Tag Attached: Win
2018-01-19 16:52 Kunda1 Note Added: 0010797
2018-03-14 12:22 wmayer Status new => closed
2018-03-14 12:22 wmayer Note Added: 0011038